--- /dev/null
+#!/bin/bash
+
+CUR=$PWD
+FROM=.
+CMD_COPY_TO_REPO="mkdir -p /opt/debian/repositories/saetta/tmp && cp -f <pkgsfilename> /opt/debian/repositories/saetta/tmp"
+CMD_ADD_TO_REPO="cd /opt/debian/repositories/saetta && reprepro includedeb saetta tmp/*.deb && rm -f tmp/*"
+REPOSITORY=""
+
+while getopts ":f:c:a:r:" opt; do
+ case $opt in
+ f)
+ FROM=$OPTARG
+ ;;
+ c)
+ CMD_COPY_TO_REPO=$OPTARG
+ ;;
+ a)
+ CMD_ADD_TO_REPO=$OPTARG
+ ;;
+ r)
+ REPOSITORY=$OPTARG
+ ;;
+ \?)
+ echo "Invalid option: -$OPTARG" >&2
+ exit 1
+ ;;
+ :)
+ echo "Option -$OPTARG requires an argument." >&2
+ exit 1
+ ;;
+ esac
+done
+
+echo "From: "$FROM
+
+if [ ! -d $FROM ]; then echo $FROM" isn't a directory" && exit 0; fi
+
+cd $FROM
+if [ ! -d "debian" ]; then
+ echo "No debian directory found."
+ exit
+fi
+
+
+# the build directory from debian/gbp.conf
+BUILDDIR=`sed -n -e 's/^\s*export-dir\s*=\s*//p' debian/gbp.conf`
+
+
+SNAPSHOT_HASH=`head -n 1 debian/changelog | sed -n -e 's/.*\((.*)\).*/\1/;s/\((\)\(.*\)\()\)/\2/p'`
+echo "Debian package snapshot version: "$SNAPSHOT_HASH
+
+
+index=0
+while read -r line ; do
+ PKGNAME=$BUILDDIR"/"`echo ${line} | sed -n -e 's/.* \(.*\)/\1/p'`"_"$SNAPSHOT_HASH"_amd64.deb"
+ PKGNAMES[$index]=$PKGNAME
+ ((index++))
+done < <(grep Package debian/control)
+
+
+for i in ${PKGNAMES[@]}; do
+ echo "Debian package name: "$i
+done
+
+
+if [ -e ~/.zak_debian_copy_to_repo$REPOSITORY ]; then . ~/.zak_debian_copy_to_repo$REPOSITORY; fi
+
+CMD_COPY_TO_REPO=${CMD_COPY_TO_REPO/"<pkgsfilename>"/"${PKGNAMES[@]}"}
+CMD_ADD_TO_REPO=${CMD_ADD_TO_REPO/"<pkgsfilename>"/"${PKGNAMES[@]}"}
+
+echo "Command copy to report: "$CMD_COPY_TO_REPO
+echo "Command add to report: "$CMD_ADD_TO_REPO
+
+bash -c "$CMD_COPY_TO_REPO"
+
+bash -c "$CMD_ADD_TO_REPO"